This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 735625 - "inconsistent lock state "kernel traces after resume from hibernate
"inconsistent lock state "kernel traces after resume from hibernate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-09-04 06:45 EDT by Klaus Lichtenwalder
Modified: 2012-11-14 10:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
klic: needinfo+
klic: needinfo+
klic: needinfo+


Attachments (Terms of Use)
kernel trace from messages (8.43 KB, application/octet-stream)
2011-09-04 06:45 EDT, Klaus Lichtenwalder
no flags Details

  None (edit)
Description Klaus Lichtenwalder 2011-09-04 06:45:23 EDT
Created attachment 521365 [details]
kernel trace from messages

Description of problem:
After resume from hibernate I get
[ INFO: inconsistent lock state ]
3.1.0-0.rc4.git0.0.fc16.i686 #1


Version-Release number of selected component (if applicable):
see above

How reproducible:
resume from hibernate

Steps to Reproduce:
1.
2.
3.
  
Actual results:
kernel trace according to attachment

Expected results:
non trace

Additional info:
Comment 1 Dave Jones 2012-03-22 13:10:47 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 13:13:23 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:22:47 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Klaus Lichtenwalder 2012-03-24 10:12:17 EDT
Up to it didn't show up again, though it was quite sporadic for some time now...
Comment 5 Josh Boyer 2012-03-28 13:59:31 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 6 Paul DeStefano 2012-04-20 14:52:45 EDT
I'm still experiencing frequent problems with hibernate and kernel 3.3.2.  I also have the Intel N10 graphics adapter and i915 driver.  I wonder if the patch mentioned in the previous comment has been included in 3.3.2?

F16's hibernate has never worked reliably on my netbook.  Usually it crashes on resume with kernel oops/trace, but sometimes during hibernate and sometimes I cannot access the console messages at all.
Comment 7 Dave Jones 2012-10-23 11:33:48 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 8 Justin M. Forbes 2012-11-14 10:22:39 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.